Subject: Re: [link-relations] NEW RELATION - remoteStorage

From: Michiel de Jong <[email-masked]>
Date: Tue, 16 Dec 2014 19:08:07 +0100

Hi!

> thanks for the pointers! we will work on fixing these issues and report
back at a later time.

So three years went by, sorrry. :) We just uploaded version 04 of our
internet draft:  https://tools.ietf.org/id/draft-dejong-remotestorage-04
and the link definition should now be hopefully be compatible with both
link-relations and WebFinger.

> the registration procedure asks for a "permanent and readily available"
specification

Would https://tools.ietf.org/id/draft-dejong-remotestorage count? It
redirects to the latest existing version. We're about to apply for RFC
track, so then we could update it to that rfc.

Thanks!
Michiel.

On Mon, Dec 19, 2011 at 11:18 AM, Michiel de Jong <[email-masked]>
wrote:
>
> thanks for the pointers! we will work on fixing these issues and report
> back at a later time.
>
> and thanks also for already reserving the name by the way.
>
>
> On Sat, Dec 17, 2011 at 2:12 AM, Julian Reschke <[email-masked]>
> wrote:
>
>> On 2011-12-16 14:48, Michiel de Jong wrote:
>>
>>> ...
>>>
>>> fair enough - we use the camel-case because localStorage and
>>> sessionStorage also use them, so remoteStorage is an extension of that.
>>> but here the relation name can be defined as remotestorage if that's
>>> what the spec requires - i think it will still be human-readable without
>>> problems.
>>> ...
>>>
>>
>> Yes.
>>
>>     - the registration procedure asks for a "permanent and readily
>>>    available" specification; I'm not convinced that a Wiki page is
>>>    suited, unless there are procedures in place that ensure that...
>>>
>>>
>>> ok, then please use
>>> http://www.w3.org/community/unhosted/wiki/index.php?title=
>>> RemoteStorage&oldid=47
>>> <http://www.w3.org/community/unhosted/wiki/index.php?title=
>>> RemoteStorage&oldid=47>
>>> which is the currently "frozen" version. in the future (maybe next year)
>>> we might get a nicer address from w3c, but since we're a "w3c cg"
>>> community group only, at the moment it's the best we can do. sorry! i
>>> hope it's ok with you this way.
>>> ...
>>>
>>
>> Not sure I like this as a stable reference.
>>
>> If the whole point of this is to reserve the name for now, don't worry,
>> it is: <http://paramsr.us/tracker/issue29>.
>>
>> Now to the registration itself:
>>
>>
>> "Points to remote data storage, owned by the user, and accessible from
>> the web."
>>
>> Who's "the user" here?
>>
>> Also, on the Wiki:
>>
>>  <Link rel="remoteStorage" template="$TEMPLATE" api="$API" auth="$AUTH"
>>> ></Link>
>>>
>>
>> I note that this is non-conforming. It has all kinds of undefined
>> attributes, and doesn't have @href.
>>
>> Finally, how would the link above appear in an HTTP Link header fields?
>>
>> Best regards, Julian
>>
>
>